CPG_CONTEXT_GET(3)

NAME
cpg_context_get - Gets the context variable for a CPG instance

SYNOPSIS
#include <corosync/cpg.h>

int cpg_context_get(cpg_handle_t handle, void **context);

DESCRIPTION
The cpg_context_get function is used to retrieve the context variable previously stored using cpg_context_set(3)

RETURN VALUE
This call returns the CS_OK value if successful, otherwise an error is returned.

ERRORS
The errors are undocumented.

SEE ALSO
cpg_overview(8), cpg_initialize(3), cpg_finalize(3), cpg_fd_get(3), cpg_dispatch(3), cpg_join(3), cpg_leave(3), cpg_mcast_joined(3), cpg_membership_get(3) cpg_zcb_alloc(3) cpg_zcb_free(3) cpg_zcb_mcast_joined(3) cpg_context_get(3) cpg_context_set(3) cpg_local_get(3)